package com.chinaitop.depot.intelligent.basicdata.model;

public class TCcinfo {
    private String id;

    private String orgId;

    private String sitecode;

    private String vdevcode;

    private String vdevname;

    private Integer startchannel;

    private Integer endtchannel;

    private String vcfcode;

    private String remark;

    private Integer delFlag;

    /**
     * 测虫设备数据id 32位
     * @return id 测虫设备数据id 32位
     */
    public String getId() {
        return id;
    }

    /**
     * 测虫设备数据id 32位
     * @param id 测虫设备数据id 32位
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库房id
     * @return org_id 库房id
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 库房id
     * @param orgId 库房id
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 站点编号
     * @return sitecode 站点编号
     */
    public String getSitecode() {
        return sitecode;
    }

    /**
     * 站点编号
     * @param sitecode 站点编号
     */
    public void setSitecode(String sitecode) {
        this.sitecode = sitecode == null ? null : sitecode.trim();
    }

    /**
     * 设备编码
     * @return vdevcode 设备编码
     */
    public String getVdevcode() {
        return vdevcode;
    }

    /**
     * 设备编码
     * @param vdevcode 设备编码
     */
    public void setVdevcode(String vdevcode) {
        this.vdevcode = vdevcode == null ? null : vdevcode.trim();
    }

    /**
     * 设备名称
     * @return vdevname 设备名称
     */
    public String getVdevname() {
        return vdevname;
    }

    /**
     * 设备名称
     * @param vdevname 设备名称
     */
    public void setVdevname(String vdevname) {
        this.vdevname = vdevname == null ? null : vdevname.trim();
    }

    /**
     * 起始通道
     * @return startchannel 起始通道
     */
    public Integer getStartchannel() {
        return startchannel;
    }

    /**
     * 起始通道
     * @param startchannel 起始通道
     */
    public void setStartchannel(Integer startchannel) {
        this.startchannel = startchannel;
    }

    /**
     * 结束通道
     * @return endtchannel 结束通道
     */
    public Integer getEndtchannel() {
        return endtchannel;
    }

    /**
     * 结束通道
     * @param endtchannel 结束通道
     */
    public void setEndtchannel(Integer endtchannel) {
        this.endtchannel = endtchannel;
    }

    /**
     * 仓房编码
     * @return vcfcode 仓房编码
     */
    public String getVcfcode() {
        return vcfcode;
    }

    /**
     * 仓房编码
     * @param vcfcode 仓房编码
     */
    public void setVcfcode(String vcfcode) {
        this.vcfcode = vcfcode == null ? null : vcfcode.trim();
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @return del_flag 删除标志（0：删除，1：未删除）
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @param delFlag 删除标志（0：删除，1：未删除）
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}